$ ! Command file to generate the entire PME Performance Measurement and
$ ! Evaluation package.  This includes compiling and assembling all the
$ ! routines that comprise the package, linking them as necessary, and
$ ! producing all the listing files.  The listing files are then sent to
$ ! the system printer.  All source files are assumed to exist in the
$ ! current default directory, and all object and executable image files
$ ! are created in that same directory.  The listing files are deleted
$ ! after being printed.
$ !
$ !
$ !			Written by Bert Beander
$ !
$ !
$ ! Start by compiling or assembling everything.
$ !
$ SHOW DAYTIME
$ LIBRARY/MACRO/CREATE		PMEDEFS.MLB PMEDEFS.MAR
$ MACRO/LIST/ENABLE=DEBUG	PMEBLKIO
$ FORT/LIST/DEBUG		PMEBUILD
$ MACRO/LIST/ENABLE=DEBUG	PMECLOCK
$ MACRO/LIST/ENABLE=DEBUG	PMECOUNT
$ MACRO/LIST/ENABLE=DEBUG	PMEDEBUG
$ MACRO/LIST/ENABLE=DEBUG	PMEDEFS
$ FORT/LIST/DEBUG		PMEHISTO
$ FORT/LIST/DEBUG		PMETITLE
$ MACRO/LIST/ENABLE=DEBUG	PMETRACE
$ !
$ ! Then link PMEBUILD and PMEHISTO and create PME.OBJ and PMETRACE.OBJ.
$ !
$ LINK PMEBUILD,PMEBLKIO
$ LINK PMEHISTO,PMEBLKIO,PMECOUNT
$ COPY PMEDEBUG.OBJ,PMECLOCK.OBJ PME.OBJ
$ COPY PMETRACE.OBJ,PMEBLKIO.OBJ,PMECOUNT.OBJ PMETRACE.OBJ
$ DELETE PMEDEFS.OBJ;*
$ !
$ ! Run Runoff to create the documentation and installation instructions.
$ !
$ MCR RNO PMEDOC/UL:L/-SP=PMEDOC/-HY
$ MCR RNO PMERELEAS/UL:L/-SP=PMERELEAS/-HY
$ !
$ ! Create the title page for the whole PME program listing.
$ !
$ LINK PMETITLE
$ RUN PMETITLE
$ PURGE
$ !
$ ! Then print out all the listings for the entire package.
$ !
$ PRINT/FLAG  TITLE.LIS,PMEGEN.COM,PMEKITBLD.COM,PMEINSTAL.COM,PMECOMDEF.FOR, -
	PMEDEFS.LIS,PMECOMMON.FOR,PMEHISCOM.FOR,PMEBLKIO.LIS,PMEBUILD.LIS,    -
	PMECLOCK.LIS,PMECOUNT.LIS,PMEDEBUG.LIS,PMEHISTO.LIS,PMETITLE.LIS,     -
	PMETRACE.LIS,PMERELEAS.DOC,PMEDOC.DOC
$ SHOW DAYTIME
$ !
$ !
$ ! We are now all done.
